<!---
	COMPONENT: Contact
	AUTHOR: Matt Woodward (mpwoodward@gmail.com)
			-- adapted from original Mach-II Contact Manager sample application
	DATE: 7/17/2005
	PURPOSE: Contact bean for Mach-II Contact Manager sample application
	CHANGE HISTORY:
		* 7/17/2005: component created (Matt Woodward)
--->

<cfcomponent displayname="Contact" output="false" hint="Contact bean for Mach-II Contact Manager sample application">
	<cfproperty name="id" type="string" required="false" default="" />
	<cfproperty name="firstName" type="string" required="false" default="" />
	<cfproperty name="lastName" type="string" required="false" default="" />
	<cfproperty name="street" type="string" required="false" default="" />
	<cfproperty name="city" type="string" required="false" default="" />
	<cfproperty name="state" type="string" required="false" default="" />
	<cfproperty name="zip" type="string" required="false" default="" />
	
	<!--- PSEUDO-CONSTRUCTOR --->
	<cfscript>
		variables.id = "";
		variables.firstName = "";
		variables.lastName = "";
		variables.street = "";
		variables.city = "";
		variables.state = "";
		variables.zip = "";
	</cfscript>
	
	<!--- CONSTRUCTOR --->
	<cffunction name="init" access="public" output="false" returntype="Contact" hint="Constructor for this CFC">
		<cfargument name="id" type="string" required="false" default="" />
		<cfargument name="firstName" type="string" required="false" default="" />
		<cfargument name="lastName" type="string" required="false" default="" />
		<cfargument name="street" type="string" required="false" default="" />
		<cfargument name="city" type="string" required="false" default="" />
		<cfargument name="state" type="string" required="false" default="" />
		<cfargument name="zip" type="string" required="false" default="" />
		
		<cfscript>
			setId(arguments.id);
			setFirstName(arguments.firstName);
			setLastName(arguments.lastName);
			setStreet(arguments.street);
			setCity(arguments.city);
			setState(arguments.state);
			setZip(arguments.zip);
		</cfscript>
		
		<cfreturn this />
	</cffunction>
	
	<!--- ACCESSORS --->
	<cffunction name="getId" access="public" output="false" returntype="string">
		<cfreturn variables.id />
	</cffunction>
	
	<cffunction name="setId" access="public" output="false" returntype="void">
		<cfargument name="id" type="string" required="true" />
		<cfset variables.id = arguments.id />
	</cffunction>
	
	
	<cffunction name="getFirstName" access="public" output="false" returntype="string">
		<cfreturn variables.firstName />
	</cffunction>
	
	<cffunction name="setFirstName" access="public" output="false" returntype="void">
		<cfargument name="firstName" type="string" required="true" />
		<cfset variables.firstName = arguments.firstName />
	</cffunction>
	
	
	<cffunction name="getLastName" access="public" output="false" returntype="string">
		<cfreturn variables.lastName />
	</cffunction>
	
	<cffunction name="setLastName" access="public" output="false" returntype="void">
		<cfargument name="lastName" type="string" required="true" />
		<cfset variables.lastName = arguments.lastName />
	</cffunction>
	
	<cffunction name="getStreet" access="public" output="false" returntype="string">
		<cfreturn variables.street />
	</cffunction>
	
	<cffunction name="setStreet" access="public" output="false" returntype="void">
		<cfargument name="street" type="string" required="true" />
		<cfset variables.street = arguments.street />
	</cffunction>
	
	<cffunction name="getCity" access="public" output="false" returntype="string">
		<cfreturn variables.city />
	</cffunction>
	
	<cffunction name="setCity" access="public" output="false" returntype="void">
		<cfargument name="city" type="string" required="true" />
		<cfset variables.city = arguments.city />
	</cffunction>
	
	<cffunction name="getState" access="public" output="false" returntype="string">
		<cfreturn variables.state />
	</cffunction>

	<cffunction name="setState" access="public" output="false" returntype="void">
		<cfargument name="state" type="string" required="true" />
		<cfset variables.state = arguments.state />
	</cffunction>
	
	<cffunction name="getZip" access="public" output="false" returntype="string">
		<cfreturn variables.zip />
	</cffunction>

	<cffunction name="setZip" access="public" output="false" returntype="void">
		<cfargument name="zip" type="string" required="true" />
		<cfset variables.zip = arguments.zip />
	</cffunction>
</cfcomponent>